Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZFileHandler Class Referenceabstract

Interface for file handlers. More...

Inheritance diagram for eZFileHandler:

## Public Member Functions
| __construct ( $handlerIdentifier=false, $handlerName=false)
| isOpen ()
| isBinaryMode ()
| filename ()
| mode ()
| name ()
| identifier ()
| exists ( $filename=false)
| isDirectory ( $filename=false)
| isExecutable ( $filename=false)
| isFile ( $filename=false)
| isLink ( $filename=false)
| isReadable ( $filename=false)
| isWriteable ( $filename=false)
| statistics ( $filename=false)
| open ( $filename, $mode, $binaryFile=true)
| close ()
| unlink ( $filename=false)
| rename ( $destinationFilename, $sourceFilename=false)
| read ( $length=false)
| write ( $data, $length=false)
| flush ()
| seek ( $offset, $whence=SEEK_SET)
| rewind ()
| tell ()
| eof ()
| passtrough ( $closeFile=true)
| doOpen ( $filename, $mode)
| doClose ()
| doSeek ( $offset, $whence)
| doRewind ()
| doTell ()
| doEOF ()
| doPasstrough ( $closeFile=true)
| doRead ( $length=false)
| doWrite ( $data, $length=false)
| doFlush ()
| error ()
| errorString ()
| errorNumber ()
| duplicate ()

## Static Public Member Functions
static | isAvailable ()
static | linkCopy ( $sourceFilename, $destinationFilename, $symbolicLink=true)
static | symlink ( $sourceFilename, $destinationFilename)
static | link ( $sourceFilename, $destinationFilename)
static | move ( $sourceFilename, $destinationFilename)
static | copy ( $sourceFilename, $destinationFilename)
static | doUnlink ( $filename)
static | doExists ( $filename)
static | doIsDirectory ( $filename)
static | doIsExecutable ( $filename)
static | doIsFile ( $filename)
static | doIsLink ( $filename)
static | doIsReadable ( $filename)
static | doIsWriteable ( $filename)
static | doStatistics ( $filename)
static | doRename ( $destinationFilename, $sourceFilename)
static | instance ( $identifier, $filename=false, $mode=false, $binaryFile=true)

## Public Attributes
| $Identifier
| $FileHandler
| $Name
| $FileName
| $Mode
| $IsBinary
| $IsOpen

## Detailed Description

Interface for file handlers.

Generic interface for all file handlers.

Using this class i divided into five areas, they are:

File handling using open(), close(), read(), write() and flush().

File position handling using seek(), tell(), rewind() and eof().

Quick output of the file using passtrough().

Error handling with error(), errorString() and errorNumber().

\h1 Creating specific handlers

The file handlers must inherit from this class and reimplement some virtual functions.

For dealing with files the following functions must be reimplemented. doOpen(), doClose(), doRead(), doWrite() and doFlush().

For dealing with file positions the following functions must be reimplemented. doSeek(), doTell(), doRewind() and doEOF().

For dealing with quick output the passtrough() function must be reimplemented, if not reimplemented the default implemententation will simply read n bytes using read() and output it with print.

Also the errorString() and errorNumber() functions must be reimplemented to provide proper error handler. The error() function is not required to be implemented since it has a default implementation, for speed it might be wise to implement the function.

This class will handle most of the generic logic, like checking that the filename is correct and if the open succeded, and give error messages based on this. The actual implementations will only have to execute the specific code and return a result.

Definition at line 55 of file ezfilehandler.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZFileHandler::__construct | ( |  | $handlerIdentifier = `false`,
|  |  | $handlerName = `false`
| ) |  |

Initializes the handler.

Parameters

  string | bool | $handlerIdentifier |
  string | bool | $handlerName |

Definition at line 65 of file ezfilehandler.php.

## Member Function Documentation

## ◆ close()

eZFileHandler::close | ( |  | ) |

Tries to close an open file and returns `true` if succesful, `false` otherwise.

Definition at line 544 of file ezfilehandler.php.

References doClose(), isOpen(), and eZDebug\writeError().

Referenced by rename(), and unlink().

## ◆ copy()

static eZFileHandler::copy | ( |  | $sourceFilename,
|  |  | $destinationFilename
| ) |  |
| static

Copies the file $sourceFilename to $destinationFilename.

Returns
  `true` if sucessful or `false` if the copy failed.

Definition at line 356 of file ezfilehandler.php.

References eZDebug\writeError().

Referenced by eZPackage\appendFile(), eZPackage\appendSimpleFile(), eZImageManager\convert(), eZDir\copy(), eZContentObjectPackageHandler\createDOMNodeFromFile(), eZDBPackageHandler\createInstallNode(), eZFSFileHandler\fileCopy(), eZImageAliasHandler\initializeFromFile(), eZFilePackageHandler\install(), eZContentObjectPackageHandler\installTemplates(), linkCopy(), move(), eZBinaryFileType\unserializeContentObjectAttribute(), and eZMediaType\unserializeContentObjectAttribute().

## ◆ doClose()

eZFileHandler::doClose | ( |  | ) |
| pure virtual

Does the actual file closing.

See also
  close

Implemented in eZGZIPZLIBCompressionHandler, eZGZIPShellCompressionHandler, eZForwardCompressionHandler, and eZBZIP2Handler.

Definition at line 765 of file ezfilehandler.php.

Referenced by close().

## ◆ doEOF()

eZFileHandler::doEOF | ( |  | ) |
| pure virtual

Does the actual file eof detection.

See also
  eof

Implemented in eZGZIPZLIBCompressionHandler, eZGZIPShellCompressionHandler, and eZForwardCompressionHandler.

Definition at line 897 of file ezfilehandler.php.

Referenced by eof().

## ◆ doExists()

static eZFileHandler::doExists | ( |  | $filename | ) |
| static pure virtual

Does the actual file exists checking.

See also
  exists

Definition at line 787 of file ezfilehandler.php.

Referenced by exists().

## ◆ doFlush()

eZFileHandler::doFlush | ( |  | ) |
| pure virtual

Does the actual file flushing.

See also
  flush

Implemented in eZGZIPZLIBCompressionHandler, eZGZIPShellCompressionHandler, eZForwardCompressionHandler, and eZBZIP2Handler.

Definition at line 945 of file ezfilehandler.php.

Referenced by flush().

## ◆ doIsDirectory()

static eZFileHandler::doIsDirectory | ( |  | $filename | ) |
| static pure virtual

Does the actual directory checking.

See also
  isDirectory

Definition at line 797 of file ezfilehandler.php.

Referenced by isDirectory().

## ◆ doIsExecutable()

static eZFileHandler::doIsExecutable | ( |  | $filename | ) |
| static pure virtual

Does the actual executable checking.

See also
  isExecutable

Definition at line 807 of file ezfilehandler.php.

Referenced by isExecutable().

## ◆ doIsFile()

static eZFileHandler::doIsFile | ( |  | $filename | ) |
| static pure virtual

Does the actual file checking.

See also
  isFile

Definition at line 817 of file ezfilehandler.php.

Referenced by isFile().

## ◆ doIsLink()

static eZFileHandler::doIsLink | ( |  | $filename | ) |
| static pure virtual

Does the actual link checking.

See also
  isLink

Definition at line 827 of file ezfilehandler.php.

Referenced by isLink().

## ◆ doIsReadable()

static eZFileHandler::doIsReadable | ( |  | $filename | ) |
| static pure virtual

Does the actual readable checking.

See also
  isReadable

Definition at line 837 of file ezfilehandler.php.

Referenced by isReadable().

## ◆ doIsWriteable()

static eZFileHandler::doIsWriteable | ( |  | $filename | ) |
| static pure virtual

Does the actual writeable checking.

See also
  isWriteable

Definition at line 847 of file ezfilehandler.php.

Referenced by isWriteable().

## ◆ doOpen()

eZFileHandler::doOpen | ( |  | $filename,
|  |  | $mode
| ) |  |
| pure virtual

Does the actual file opening.

See also
  open

Implemented in eZGZIPZLIBCompressionHandler, eZGZIPShellCompressionHandler, eZForwardCompressionHandler, and eZBZIP2Handler.

Definition at line 754 of file ezfilehandler.php.

References $FileHandler.

Referenced by open().

## ◆ doPasstrough()

eZFileHandler::doPasstrough | ( |  | $closeFile = `true` | ) |
| pure virtual

Does the actual file passtrough.

See also
  eof

Implemented in eZGZIPZLIBCompressionHandler, eZGZIPShellCompressionHandler, and eZForwardCompressionHandler.

Definition at line 907 of file ezfilehandler.php.

Referenced by passtrough().

## ◆ doRead()

eZFileHandler::doRead | ( |  | $length = `false` | ) |
| pure virtual

Does the actual file reading.

See also
  read

Implemented in eZGZIPZLIBCompressionHandler, eZGZIPShellCompressionHandler, eZForwardCompressionHandler, and eZBZIP2Handler.

Definition at line 922 of file ezfilehandler.php.

Referenced by read().

## ◆ doRename()

static eZFileHandler::doRename | ( |  | $destinationFilename,
|  |  | $sourceFilename
| ) |  |
| static pure virtual

Does the actual file renaming.

See also
  rename

Definition at line 955 of file ezfilehandler.php.

References eZFile\rename().

Referenced by rename().

## ◆ doRewind()

eZFileHandler::doRewind | ( |  | ) |

Does the actual file rewind.

See also
  rewind

Note
  Default implementation calls seek with offset set to 0 from the file start.

Reimplemented in eZGZIPZLIBCompressionHandler, eZGZIPShellCompressionHandler, and eZForwardCompressionHandler.

Definition at line 877 of file ezfilehandler.php.

References doSeek().

Referenced by rewind().

## ◆ doSeek()

eZFileHandler::doSeek | ( |  | $offset,
|  |  | $whence
| ) |  |
| pure virtual

Does the actual file seek.

See also
  seek

Implemented in eZGZIPZLIBCompressionHandler, eZGZIPShellCompressionHandler, and eZForwardCompressionHandler.

Definition at line 867 of file ezfilehandler.php.

Referenced by doRewind(), and seek().

## ◆ doStatistics()

static eZFileHandler::doStatistics | ( |  | $filename | ) |
| static pure virtual

Does the actual writeable checking.

See also
  isWriteable

Definition at line 857 of file ezfilehandler.php.

Referenced by statistics().

## ◆ doTell()

eZFileHandler::doTell | ( |  | ) |
| pure virtual

Does the actual file telling.

See also
  tell

Implemented in eZGZIPZLIBCompressionHandler, eZGZIPShellCompressionHandler, and eZForwardCompressionHandler.

Definition at line 887 of file ezfilehandler.php.

Referenced by tell().

## ◆ doUnlink()

static eZFileHandler::doUnlink | ( |  | $filename | ) |
| static pure virtual

Does the actual file unlinking.

See also
  unlink

Definition at line 777 of file ezfilehandler.php.

References unlink().

Referenced by unlink().

## ◆ doWrite()

eZFileHandler::doWrite | ( |  | $data,
|  |  | $length = `false`
| ) |  |
| pure virtual

Does the actual file writing.

See also
  write

Implemented in eZGZIPZLIBCompressionHandler, eZGZIPShellCompressionHandler, eZForwardCompressionHandler, and eZBZIP2Handler.

Definition at line 932 of file ezfilehandler.php.

Referenced by write().

## ◆ duplicate()

eZFileHandler::duplicate | ( |  | ) |

Creates a copy of the current handler and returns a reference to the copy.

Note
  The default does a simple copy of `$this`, this method must be reimplemented for specific handlers.

Reimplemented in eZForwardCompressionHandler.

Definition at line 994 of file ezfilehandler.php.

## ◆ eof()

eZFileHandler::eof | ( |  | ) |

Returns
  `true` if the file pointer is at the end of the file or an error occured, otherwise `false`.

Definition at line 724 of file ezfilehandler.php.

References doEOF(), isOpen(), and eZDebug\writeError().

## ◆ error()

eZFileHandler::error | ( |  | ) |

Returns error data as an associative array, the array contains:

- string - The error string
- number - The error number
  Note
    The default implementation calls errorString() and errorNumber().

Reimplemented in eZForwardCompressionHandler, and eZBZIP2Handler.

Definition at line 966 of file ezfilehandler.php.

References errorNumber(), and errorString().

## ◆ errorNumber()

eZFileHandler::errorNumber | ( |  | ) |
| pure virtual

Returns
  the error number from the last error that occured.

Implemented in eZGZIPZLIBCompressionHandler, eZGZIPShellCompressionHandler, eZForwardCompressionHandler, and eZBZIP2Handler.

Definition at line 985 of file ezfilehandler.php.

Referenced by error().

## ◆ errorString()

eZFileHandler::errorString | ( |  | ) |
| pure virtual

Returns
  the error string from the last error that occured.

Implemented in eZGZIPZLIBCompressionHandler, eZGZIPShellCompressionHandler, eZForwardCompressionHandler, and eZBZIP2Handler.

Definition at line 976 of file ezfilehandler.php.

Referenced by error().

## ◆ exists()

eZFileHandler::exists | ( |  | $filename = `false` | ) |

Returns
  `true` if the filename $filename exists. If $filename is not specified the filename is taken from the one used in open().

Definition at line 416 of file ezfilehandler.php.

References $FileName, and doExists().

## ◆ filename()

eZFileHandler::filename | ( |  | ) |

Returns
  the filename currently in use.

Definition at line 100 of file ezfilehandler.php.

References $FileName.

Referenced by eZGZIPZLIBCompressionHandler\doPasstrough(), and rename().

## ◆ flush()

eZFileHandler::flush | ( |  | ) |

Force a write of all buffered data.

Returns
  `true` if succesful or `false` if something failed.

Definition at line 664 of file ezfilehandler.php.

References doFlush(), isOpen(), and eZDebug\writeError().

## ◆ identifier()

eZFileHandler::identifier | ( |  | ) |

Returns
  the identifier of the current handler.

See also
  name

Definition at line 126 of file ezfilehandler.php.

References $Identifier.

Referenced by eZForwardCompressionHandler\duplicate().

## ◆ instance()

static eZFileHandler::instance | ( |  | $identifier,
|  |  | $filename = `false`,
|  |  | $mode = `false`,
|  |  | $binaryFile = `true`
| ) |  |
| static

Returns the handler for the identifier $identifier. The parameters $filename, $mode and $binaryFile is passed to the handler.

Returns
  `false` if the handler could not be created. Returns a shared instance of the eZFileHandler class. $identifier if set is used to specify specific file handlers as defined in file.ini [FileSettings]Handlers. If $filename and later params are set, then file is opened straigt away.

Parameters

  string | false | $identifier | Global eZFileHandler used if false
  string | false | $filename |
  string | false | $mode | set to 'r' if false
  bool | $binaryFile | Binary or text mode, default true.

Returns
  eZFileHandler|false

Definition at line 1017 of file ezfilehandler.php.

Referenced by eZExtension\clearActiveExtensionsCache(), eZCache\clearItem(), eZFSFileHandler\delete(), and eZFSFileHandler\fileDelete().

## ◆ isAvailable()

static eZFileHandler::isAvailable | ( |  | ) |
| static

Returns
  true if this handler can be used.

Note
  The default implementation is to return `true` for all handlers.

Reimplemented in eZGZIPZLIBCompressionHandler, and eZGZIPShellCompressionHandler.

Definition at line 135 of file ezfilehandler.php.

## ◆ isBinaryMode()

eZFileHandler::isBinaryMode | ( |  | ) |

Returns
  `true` if the file was opened in binary mode.

Definition at line 92 of file ezfilehandler.php.

References $IsBinary.

Referenced by eZGZIPZLIBCompressionHandler\doPasstrough().

## ◆ isDirectory()

eZFileHandler::isDirectory | ( |  | $filename = `false` | ) |

Returns
  `true` if $filename is a directory.

Definition at line 426 of file ezfilehandler.php.

References $FileName, and doIsDirectory().

## ◆ isExecutable()

eZFileHandler::isExecutable | ( |  | $filename = `false` | ) |

Returns
  `true` if $filename is executable.

Definition at line 436 of file ezfilehandler.php.

References $FileName, and doIsExecutable().

## ◆ isFile()

eZFileHandler::isFile | ( |  | $filename = `false` | ) |

Returns
  `true` if $filename is a file.

Definition at line 446 of file ezfilehandler.php.

References $FileName, and doIsFile().

## ◆ isLink()

eZFileHandler::isLink | ( |  | $filename = `false` | ) |

Returns
  `true` if $filename is a link.

Definition at line 456 of file ezfilehandler.php.

References $FileName, and doIsLink().

## ◆ isOpen()

eZFileHandler::isOpen | ( |  | ) |

Returns
  `true` if a file is opened, `false` otherwise.

Definition at line 84 of file ezfilehandler.php.

References $IsOpen.

Referenced by close(), eof(), flush(), open(), passtrough(), read(), rename(), rewind(), seek(), tell(), unlink(), and write().

## ◆ isReadable()

eZFileHandler::isReadable | ( |  | $filename = `false` | ) |

Returns
  `true` if $filename is readable.

Definition at line 466 of file ezfilehandler.php.

References $FileName, and doIsReadable().

## ◆ isWriteable()

eZFileHandler::isWriteable | ( |  | $filename = `false` | ) |

Returns
  `true` if $filename is writeable.

Definition at line 476 of file ezfilehandler.php.

References $FileName, and doIsWriteable().

## ◆ link()

static eZFileHandler::link | ( |  | $sourceFilename,
|  |  | $destinationFilename
| ) |  |
| static

Creates a symbolic link to the file $sourceFilename on the destination $destinationFilename. This means that if someone tries to open $destinationFilename they will infact open $sourceFilename. If $destinationFilename is a directory then the filename is taken from $sourceFilename and appended to the destination. It will first try to rename the file and if that does not work copy the file and unlink.

Returns
  `true` if sucessful or `false` if the copy failed.

Definition at line 243 of file ezfilehandler.php.

References unlink(), and eZDebug\writeError().

Referenced by linkCopy().

## ◆ linkCopy()

static eZFileHandler::linkCopy | ( |  | $sourceFilename,
|  |  | $destinationFilename,
|  |  | $symbolicLink = `true`
| ) |  |
| static

Links the file $sourceFilename to $destinationFilename. If $destinationFilename is a directory then the filename is taken from $sourceFilename and appended to the destination. It will use symbolic links for the operating system that support it and file copy for all others.

Parameters

  $symbolicLink | if `true` then the files will be made as symbolic links, otherwise as hard links.

Returns
  `true` if sucessful or `false` if the copy failed.

Definition at line 147 of file ezfilehandler.php.

References copy(), link(), eZSys\osType(), and symlink().

Referenced by eZImageManager\convert(), and eZFSFileHandler\fileLinkCopy().

## ◆ mode()

eZFileHandler::mode | ( |  | ) |

Returns
  the mode which was used to open the currently used file.

Definition at line 108 of file ezfilehandler.php.

References $Mode.

Referenced by eZGZIPZLIBCompressionHandler\doPasstrough(), and rename().

## ◆ move()

static eZFileHandler::move | ( |  | $sourceFilename,
|  |  | $destinationFilename
| ) |  |
| static

Moves the file $sourceFilename to $destinationFilename. If $destinationFilename is a directory then the filename is taken from $sourceFilename and appended to the destination. It will first try to rename the file and if that does not work copy the file and unlink.

Returns
  `true` if sucessful or `false` if the copy failed.

Definition at line 289 of file ezfilehandler.php.

References copy(), eZFile\rename(), unlink(), and eZDebug\writeError().

Referenced by eZFSFileHandler\move().

## ◆ name()

eZFileHandler::name | ( |  | ) |

Returns
  the name of current handler.

See also
  identifier

Definition at line 117 of file ezfilehandler.php.

References $Name.

Referenced by eZForwardCompressionHandler\duplicate().

## ◆ open()

eZFileHandler::open | ( |  | $filename,
|  |  | $mode,
|  |  | $binaryFile = `true`
| ) |  |

Tries to open the file $filename with mode $mode and returns the file resource if succesful.

Returns
  `false` if the file could not be opened.

Parameters

  $mode | If false the file will be opened in read mode using 'r'
  $binaryFile | If true file will be opened in binary mode (default), otherwise text mode is used.

Note
  Parameter $binaryFile will only have effect on the Windows operating system.

Definition at line 502 of file ezfilehandler.php.

References $FileName, doOpen(), isOpen(), and eZDebug\writeError().

Referenced by rename().

## ◆ passtrough()

eZFileHandler::passtrough | ( |  | $closeFile = `true` | ) |

Passes the data from the file to the standard output.

Parameters

  $closeFile | If `true` the file will be closed after output is done.

Returns
  `false` if something failed.

Definition at line 739 of file ezfilehandler.php.

References doPasstrough(), isOpen(), and eZDebug\writeError().

## ◆ read()

eZFileHandler::read | ( |  | $length = `false` | ) |

Reads up to $length bytes from file. Reading stops when $length has been read or `EOF` is reached, whichever comes first. If the optional parameter $length is not specified it will read bytes until `EOF` is reached.

Returns
  a `string` or `false` if something fails.

Definition at line 609 of file ezfilehandler.php.

References doRead(), isOpen(), and eZDebug\writeError().

## ◆ rename()

eZFileHandler::rename | ( |  | $destinationFilename,
|  |  | $sourceFilename = `false`
| ) |  |

Renames the file $sourceFilename to $destinationFilename. If $sourceFilename is not supplied then filename() is used, it will also close the current file connection and reopen it again if was already open.

Definition at line 585 of file ezfilehandler.php.

References close(), doRename(), filename(), isOpen(), mode(), and open().

## ◆ rewind()

eZFileHandler::rewind | ( |  | ) |

Rewinds the file position to the beginning of the file.

Returns
  `0` if something went wrong.

Definition at line 697 of file ezfilehandler.php.

References doRewind(), isOpen(), and eZDebug\writeError().

## ◆ seek()

eZFileHandler::seek | ( |  | $offset,
|  |  | $whence = `SEEK_SET`
| ) |  |

Seeks to position in file determined by $offset and $whence.

- SEEK_SET - Set position equal to offset bytes.
- SEEK_CUR - Set position to current location plus offset.
- SEEK_END - Set position to end-of-file plus offset. (To move to a position before the end-of-file, you need to pass a negative value in offset.)

Note
  Not all handlers supports all types for $whence

Returns
  `0` if succesful or `-1` if something failed.

Definition at line 683 of file ezfilehandler.php.

References doSeek(), isOpen(), and eZDebug\writeError().

## ◆ statistics()

eZFileHandler::statistics | ( |  | $filename = `false` | ) |

Returns
  the statitistics for the file $filename.

Definition at line 486 of file ezfilehandler.php.

References $FileName, and doStatistics().

## ◆ symlink()

static eZFileHandler::symlink | ( |  | $sourceFilename,
|  |  | $destinationFilename
| ) |  |
| static

Creates a symbolic link to the file $sourceFilename on the destination $destinationFilename. This means that if someone tries to open $destinationFilename they will infact open $sourceFilename. If $destinationFilename is a directory then the filename is taken from $sourceFilename and appended to the destination. It will first try to rename the file and if that does not work copy the file and unlink.

Returns
  `true` if sucessful or `false` if the copy failed.

Definition at line 173 of file ezfilehandler.php.

References unlink(), and eZDebug\writeError().

Referenced by linkCopy().

## ◆ tell()

eZFileHandler::tell | ( |  | ) |

Tells the current file position.

Returns
  `false` if something failed.

Definition at line 711 of file ezfilehandler.php.

References doTell(), isOpen(), and eZDebug\writeError().

## ◆ unlink()

eZFileHandler::unlink | ( |  | $filename = `false` | ) |

Tries to unlink the file from the file system.

Definition at line 565 of file ezfilehandler.php.

References $FileName, close(), doUnlink(), isOpen(), and eZDebug\writeError().

Referenced by doUnlink(), link(), move(), and symlink().

## ◆ write()

eZFileHandler::write | ( |  | $data,
|  |  | $length = `false`
| ) |  |

Writes the content of the string $data to the file. If optional `$length` parameter is supplied writing will stop after length is reached or the end of the string is reached, whichever comes first.

Returns
  the number of bytes that was written.

Definition at line 645 of file ezfilehandler.php.

References doWrite(), isOpen(), and eZDebug\writeError().

## Member Data Documentation

## ◆ $FileHandler

eZFileHandler::$FileHandler

Definition at line 58 of file ezfilehandler.php.

Referenced by doOpen().

## ◆ $FileName

eZFileHandler::$FileName

Definition at line 1048 of file ezfilehandler.php.

Referenced by exists(), filename(), isDirectory(), isExecutable(), isFile(), isLink(), isReadable(), isWriteable(), open(), statistics(), and unlink().

## ◆ $Identifier

eZFileHandler::$Identifier

Definition at line 57 of file ezfilehandler.php.

Referenced by identifier().

## ◆ $IsBinary

eZFileHandler::$IsBinary

Definition at line 1050 of file ezfilehandler.php.

Referenced by isBinaryMode().

## ◆ $IsOpen

eZFileHandler::$IsOpen

Definition at line 1051 of file ezfilehandler.php.

Referenced by isOpen().

## ◆ $Mode

eZFileHandler::$Mode

Definition at line 1049 of file ezfilehandler.php.

Referenced by mode().

## ◆ $Name

eZFileHandler::$Name

Definition at line 1047 of file ezfilehandler.php.

Referenced by name().

The documentation for this class was generated from the following file:

- ezfilehandler.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.